Bug 873818 (CVE-2012-5274, CVE-2012-5275, CVE-2012-5276, CVE-2012-5277, CVE-2012-5278, CVE-2012-5279, CVE-2012-5280)

Summary: flash-plugin: multiple code-execution flaws (APSB12-24)
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: ed.costello, emhuang, mmelanso, mtilburg, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=critical,public=20121106,reported=20121106,source=internet,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/flash-plugin=affected,rhel-6/flash-plugin=affected
Fixed In Version: flash-plugin 11.2.202.251 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-07 12:11:12 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 873825, 873826, 873827, 873828    
Bug Blocks: 873824    

Description Vincent Danen 2012-11-06 14:07:20 EST
Adobe security bulletin APSB12-24 describes several security flaws that could cause Adobe Flash Player to crash and potentially allow an attacker to take control of the affected system:

These updates resolve buffer overflow vulnerabilities that could lead to code execution (CVE-2012-5274, CVE-2012-5275, CVE-2012-5276, CVE-2012-5277, CVE-2012-5280).

These updates resolve memory corruption vulnerabilities that could lead to code execution (CVE-2012-5279).

These updates resolve a security bypass vulnerability that could lead to code execution (CVE-2012-5278).
Comment 1 Vincent Danen 2012-11-06 14:17:22 EST
External References:

http://www.adobe.com/support/security/bulletins/apsb12-24.html
Comment 3 errata-xmlrpc 2012-11-07 03:52:03 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1431 https://rhn.redhat.com/errata/RHSA-2012-1431.html